Index: /code/branches/presentation/data/levels/presentationFS11.oxw
===================================================================
--- /code/branches/presentation/data/levels/presentationFS11.oxw	(revision 8627)
+++ /code/branches/presentation/data/levels/presentationFS11.oxw	(revision 8628)
@@ -54,5 +54,4 @@
     
     <!-- BOUNDARIES AND PORTALS -->
-    
 
     <Template name=PortalDefault>
@@ -64,66 +63,20 @@
     </Template>
 
-    <PortalEndPoint position="350,0,0" id="1" distance="40" target="MobileEntity" design="PortalDefault"/>
-    <PortalEndPoint position="-30300,0,0" id="2" distance="40" target="MobileEntity" design="PortalDefault"/>
+    <SpaceBoundaries warnDistance="1" maxDistance="400" showDistance="300" healthDecrease="0.1" position="-90000,0,0"/>
+    <PortalEndPoint position="-350,0,0" id="3" distance="40" target="MobileEntity" design="PortalDefault"/>
+    <PortalEndPoint position="-72000,0,0" id="4" distance="40" target="MobileEntity" design="PortalDefault"/>
+    <SpaceBoundaries warnDistance="1" maxDistance="400" showDistance="300" healthDecrease="0.1" position="0,10000,0"/>
 
     <SpaceBoundaries warnDistance="1" maxDistance="450" showDistance="300" healthDecrease="0.1" position="0,0,0"/> 
     <SpaceBoundaries warnDistance="1" maxDistance="400" showDistance="300" healthDecrease="0.1" position="-30000,0,0"/>
 
-    <PortalLink fromID="1" toID="2" />
-    <PortalLink fromID="2" toID="1" />
+    <PortalLink fromID="3" toID="4" />
+    <PortalLink fromID="4" toID="3" />
 
     <!-- MODELS, DEBRIS, ETC -->
 
-    <!-- hydrogen farmer -->
-    <SpaceShip position="0,1750,0" roll=90 mass=10000 >
-      <attached>
-        <!-- Docking -->
-        <DistanceTriggerBeacon name="bcnDestroyer" />
-        <DockingTarget name="destroyer" />
-
-        <Dock orientation="0.5, 0.5, 0.5, 0.5" position="-1500,0,0" >
-            <animations>
-                <MoveToDockingTarget target="destroyer" position="-1300,0,0" />
-            </animations>
-            <effects>
-                <DockToShip target="spaceShip" />
-            </effects>
-            <events>
-                <execute>
-                    <EventListener event="dockMe" />
-                </execute>
-            </events>
-            <attached>
-                <DistanceTrigger position="0,0,-200" distance="30" target="Pawn" 
-                    beaconMode="exclude" targetname="bcnDestroyer" name="dockMe" 
-                />
-                <Billboard position="0,0,-200" material="Examples/Flare" colour="1.0, 0, 0" />
-            </attached>
-        </Dock>
-
-        <Model mesh="HydroHarvester.mesh" mass=10 position="0,0,0" scale=100 />
-        <!-- <Model mesh="cube.mesh" mass=10 position="-1120,0,0" scale3D="230,200,490"  /> -->
-        <!-- <Model mesh="cube.mesh" mass=10 position="580,0,-960" scale3D="230,200,490" yaw=-120 /> -->
-        <!-- <Model mesh="cube.mesh" mass=10 position="580,0,960" scale3D="230,200,490" yaw=-240 /> -->
-        <!-- <Model mesh="cube.mesh" mass=10 position="0,0,0" scale3D="600,200,100" /> -->
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape  position="-1120,0,0" halfExtents="230,200,490" />
-        <BoxCollisionShape  position="580,0,-960" halfExtents="230,200,490" yaw=-120 />
-        <BoxCollisionShape  position="580,0,960" halfExtents="230,200,490" yaw=-240 />
-      </collisionShapes>
-    </SpaceShip>
-
-    <SpaceShip template="spaceshipassff2" position="0,3500,0" >
-      <attached>
-        <DockingTarget name="spaceShip" />
-      </attached>
-
-    </SpaceShip>
-
-
     <!-- This is a model of Earth: mass=EarthMass/1000 and radius=EarthRadius[km]*10 -->
     <Planet
-      position="70500,0,0"
+      position="80500,0,0"
       scale="63000"
       collisionType="dynamic"
@@ -150,7 +103,9 @@
     </Planet>
 
+    <!-- MOON AREA -->
+
     <!-- This is a model of our Moon: mass=MoonMass/1000 and radius=MoonRadius[km]*10 and position=DistanceFromEarth[km]*10 -->
     <Planet
-      position="-15000,0,0"
+      position="-80000,0,0"
       scale="4000"
       collisionType="dynamic"
@@ -176,4 +131,50 @@
     </Planet>
 
+    <!-- Hydrogen farmer -->
+    <SpaceShip position="-74000,2500,0" roll=90 yaw=180 pitch=20 mass=10000 >
+      <attached>
+        <!-- Docking -->
+        <DistanceTriggerBeacon name="bcnDestroyer" />
+        <DockingTarget name="destroyer" />
+
+        <Model mesh="HydroHarvester.mesh" mass=10 position="0,0,0" scale=100 />
+        <!-- <Model mesh="cube.mesh" mass=10 position="-1120,0,0" scale3D="230,200,490"  /> -->
+        <!-- <Model mesh="cube.mesh" mass=10 position="580,0,-960" scale3D="230,200,490" yaw=-120 /> -->
+        <!-- <Model mesh="cube.mesh" mass=10 position="580,0,960" scale3D="230,200,490" yaw=-240 /> -->
+        <!-- <Model mesh="cube.mesh" mass=10 position="0,0,0" scale3D="600,200,100" /> -->
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape  position="-1120,0,0" halfExtents="230,200,490" />
+        <BoxCollisionShape  position="580,0,-960" halfExtents="230,200,490" yaw=-120 />
+        <BoxCollisionShape  position="580,0,960" halfExtents="230,200,490" yaw=-240 />
+      </collisionShapes>
+    </SpaceShip>
+
+    <Dock position="-73942, 1288, -255" roll=90 yaw=180 >
+        <animations>
+            <MoveToDockingTarget target="destroyer" />
+        </animations>
+        <effects>
+            <DockToShip target="spaceShip" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="dockMe" />
+            </execute>
+        </events>
+        <attached>
+            <DistanceTrigger position="10,-202, -42" distance="400" target="Pawn"
+                beaconMode="exclude" targetname="bcnDestroyer" name="dockMe"
+            />
+            <Billboard position="10,-202,-42" material="Examples/Flare" colour="1.0, 0, 0" />
+        </attached>
+    </Dock>
+
+    <SpaceShip template="spaceshipassff2" position="-73915,3786,67" orientation="-0.14045, 0.68254, 0.68144, 0.223774" >
+      <attached>
+        <DockingTarget name="spaceShip" />
+      </attached>
+    </SpaceShip>
+
 
     <PickupSpawner position="-25,-50,-125" respawnTime="10" triggerDistance="20" maxSpawnedItems="5">
Index: /code/branches/presentation/src/modules/portals/PortalEndPoint.cc
===================================================================
--- /code/branches/presentation/src/modules/portals/PortalEndPoint.cc	(revision 8627)
+++ /code/branches/presentation/src/modules/portals/PortalEndPoint.cc	(revision 8628)
@@ -42,5 +42,5 @@
     std::map<unsigned int, PortalEndPoint *> PortalEndPoint::idMap_s;
 
-    PortalEndPoint::PortalEndPoint(BaseObject* creator) : StaticEntity(creator), id_(0), trigger_(NULL), reenterDelay_(0)
+    PortalEndPoint::PortalEndPoint(BaseObject* creator) : StaticEntity(creator), RadarViewable(creator, static_cast<WorldEntity*>(this)), id_(0), trigger_(NULL), reenterDelay_(0)
     {
         RegisterObject(PortalEndPoint);
@@ -49,4 +49,8 @@
         this->trigger_->setName("portal");
         this->attach(trigger_);
+
+        this->setRadarObjectColour(ColourValue::White);
+        this->setRadarObjectShape(RadarViewable::Dot);
+        this->setRadarVisibility(true);
     }
     
@@ -117,4 +121,11 @@
     }
 
+    void PortalEndPoint::changedActivity(void)
+    {
+        SUPER(PortalEndPoint, changedActivity);
+        
+        this->setRadarVisibility(this->isActive());
+    }
+
     bool PortalEndPoint::letsEnter(MobileEntity* entity)
     {
Index: /code/branches/presentation/src/modules/portals/PortalEndPoint.h
===================================================================
--- /code/branches/presentation/src/modules/portals/PortalEndPoint.h	(revision 8627)
+++ /code/branches/presentation/src/modules/portals/PortalEndPoint.h	(revision 8628)
@@ -43,4 +43,5 @@
 
 #include "worldentities/StaticEntity.h"
+#include "interfaces/RadarViewable.h"
 #include "graphics/Billboard.h"
 #include "objects/triggers/DistanceMultiTrigger.h"
@@ -57,47 +58,35 @@
      */
     
-    class _PortalsExport PortalEndPoint : public StaticEntity
+    class _PortalsExport PortalEndPoint : public StaticEntity, public RadarViewable
     {
         public:
             PortalEndPoint(BaseObject* creator);
             virtual ~PortalEndPoint();
+            
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void changedActivity(void);
+            
             inline void setTarget(const std::string & target)                 //!< add types which are allowed to activate the PortalEndPoint
-            {
-                this->trigger_->addTarget(target);
-            }
+                { this->trigger_->addTarget(target); }
             
             void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
             static std::map<unsigned int, PortalEndPoint *> idMap_s; //!< Maps the id of each PortalEndPoint to a pointer to that PortalEndPoint
             inline void setReenterDelay(unsigned int seconds)
-            {
-                this->reenterDelay_ = seconds;
-            }
+                { this->reenterDelay_ = seconds; }
             inline unsigned int getReenterDelay()
-            {
-                return this->reenterDelay_;
-            }
+                { return this->reenterDelay_; }
             inline void setID(unsigned int id)
-            {
-                this->id_ = id;
-            }
+                { this->id_ = id; }
             
             inline unsigned int getID() const
-            {
-                return this->id_;
-            }
+                { return this->id_; }
             
             /// \brief Set templateName_ (the name of the design Template) and add that Template to this Object
             inline void setTemplate(const std::string & name)
-            {
-                this->templateName_ = name;
-                this->addTemplate(name);
-            }
+                { this->templateName_ = name; this->addTemplate(name); }
 
             /// \brief Get the name of the attached design template
             inline const std::string & getTemplate()
-            {
-                return this->templateName_;
-            }
+                { return this->templateName_; }
 
             /*! \brief This function is called each time the DistanceMultiTrigger of this PortalEndPoint changed
